#pragma once
#include "buddypopuplist.h"

class Buddy 
{
public:
	Buddy();
	~Buddy(void);

	void DeepRefresh(int buddyId);
	void ShallowRefresh();
	void OnCustomNotify(int id, Notification& n);

	UserRecord record;
	LocationRecord lrecord;

	enum State {active,idle,loggedoff,away};
	State state;
	float idletime; // in minutes
	float onlinetime; // in minutes

	BuddyPopupList popup;// the active events for this buddy
	int haspopup;
	ListItem * item;
	int editing; // this buddy is in the edit list

};